Bug 1983841 - Review Request: fatcat - FAT filesystems explore, extract, repair, and forensic tool
Summary: Review Request: fatcat - FAT filesystems explore, extract, repair, and forens...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Petr Menšík
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1985462
TreeView+ depends on / blocked
 
Reported: 2021-07-20 01:25 UTC by Davide Cavalca
Modified: 2021-08-22 00:41 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-08-22 00:41:02 UTC
Type: ---
Embargoed:
pemensik: fedora-review+


Attachments (Terms of Use)

Description Davide Cavalca 2021-07-20 01:25:52 UTC
Spec URL: https://dcavalca.fedorapeople.org/review/fatcat/fatcat.spec
SRPM URL: https://dcavalca.fedorapeople.org/review/fatcat/fatcat-1.1.0-1.fc35.src.rpm

Description:
fatcat is a tool is designed to manipulate FAT filesystems, in order to
explore, extract, repair, recover and forensic them. It currently supports
FAT12, FAT16 and FAT32.

Fedora Account System Username: dcavalca

Comment 1 Davide Cavalca 2021-07-20 01:25:55 UTC
This package built on koji:  https://koji.fedoraproject.org/koji/taskinfo?taskID=72217098

Comment 2 Petr Menšík 2021-07-23 15:49:20 UTC
Almost perfect package. I wanted to pass review straight away, but I think doc subpackage has only platform independent files inside. It should be therefore marked as noarch to conserve space on Fedora builders.


Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- doc subpackage should have BuildArch: noarch

===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: If your application is a C or C++ application you must list a
     BuildRequires against gcc, gcc-c++ or clang.
[x]: Header files in -devel subpackage, if present.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Unknown or generated", "MIT License". 59 files have unknown
     license. Detailed output of licensecheck in
     /home/reviewer/fedora/rawhide/1983841-fatcat/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 20480 bytes in 1 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package must not depend on deprecated() packages.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[x]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Sources are verified with gpgverify first in %prep if upstream
     publishes signatures.
     Note: gpgverify is not used.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Fully versioned dependency in subpackages if applicable.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on debuginfo package(s).
     Note: No rpmlint messages.
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: fatcat-1.1.0-1.fc35.x86_64.rpm
          fatcat-doc-1.1.0-1.fc35.x86_64.rpm
          fatcat-debuginfo-1.1.0-1.fc35.x86_64.rpm
          fatcat-debugsource-1.1.0-1.fc35.x86_64.rpm
          fatcat-1.1.0-1.fc35.src.rpm
fatcat-doc.x86_64: W: file-not-utf8 /usr/share/doc/fatcat-doc/images/deleted.img.gz
fatcat-doc.x86_64: W: file-not-utf8 /usr/share/doc/fatcat-doc/images/directory-loop.img.gz
fatcat-doc.x86_64: W: file-not-utf8 /usr/share/doc/fatcat-doc/images/empty.img.gz
fatcat-doc.x86_64: W: file-not-utf8 /usr/share/doc/fatcat-doc/images/fake-big-disk-1T.img.gz
fatcat-doc.x86_64: W: file-not-utf8 /usr/share/doc/fatcat-doc/images/full-fat.img.gz
fatcat-doc.x86_64: W: file-not-utf8 /usr/share/doc/fatcat-doc/images/hello-world.img.gz
fatcat-doc.x86_64: W: file-not-utf8 /usr/share/doc/fatcat-doc/images/infinite-file.img.gz
fatcat-doc.x86_64: W: file-not-utf8 /usr/share/doc/fatcat-doc/images/repair.img.gz
fatcat-doc.x86_64: W: file-not-utf8 /usr/share/doc/fatcat-doc/images/two-file-same-cluster.img.gz
fatcat.src:61: W: macro-in-%changelog %autochangelog
5 packages and 0 specfiles checked; 0 errors, 10 warnings.




Rpmlint (debuginfo)
-------------------
Checking: fatcat-debuginfo-1.1.0-1.fc35.x86_64.rpm
1 packages and 0 specfiles checked; 0 errors, 0 warnings.





Rpmlint (installed packages)
----------------------------
Cannot parse rpmlint output:


Source checksums
----------------
https://github.com/Gregwar/fatcat/archive/v1.1.0/fatcat-1.1.0.tar.gz :
  CHECKSUM(SHA256) this package     : 303efe2aa73cbfe6fbc5d8af346d0f2c70b3f996fc891e8859213a58b95ad88c
  CHECKSUM(SHA256) upstream package : 303efe2aa73cbfe6fbc5d8af346d0f2c70b3f996fc891e8859213a58b95ad88c


Requires
--------
fatcat (rpmlib, GLIBC filtered):
    glibc
    libc.so.6()(64bit)
    libgcc_s.so.1()(64bit)
    libgcc_s.so.1(GCC_3.0)(64bit)
    libgcc_s.so.1(GCC_3.3.1)(64bit)
    libstdc++.so.6()(64bit)
    libstdc++.so.6(CXXABI_1.3)(64bit)
    libstdc++.so.6(CXXABI_1.3.1)(64bit)
    libstdc++.so.6(CXXABI_1.3.9)(64bit)
    rtld(GNU_HASH)

fatcat-doc (rpmlib, GLIBC filtered):

fatcat-debuginfo (rpmlib, GLIBC filtered):

fatcat-debugsource (rpmlib, GLIBC filtered):



Provides
--------
fatcat:
    fatcat
    fatcat(x86-64)

fatcat-doc:
    fatcat-doc
    fatcat-doc(x86-64)

fatcat-debuginfo:
    debuginfo(build-id)
    fatcat-debuginfo
    fatcat-debuginfo(x86-64)

fatcat-debugsource:
    fatcat-debugsource
    fatcat-debugsource(x86-64)



Generated by fedora-review 0.7.6 (b083f91) last change: 2020-11-10
Command line :/usr/bin/fedora-review -b 1983841
Buildroot used: fedora-rawhide-x86_64
Active plugins: C/C++, Generic, Shell-api
Disabled plugins: PHP, Python, R, Haskell, fonts, SugarActivity, Ocaml, Java, Perl
Disabled flags: EPEL6, EPEL7, DISTTAG, BATCH, EXARCH

Comment 3 Davide Cavalca 2021-07-24 16:17:21 UTC
Spec URL: https://dcavalca.fedorapeople.org/review/fatcat/fatcat.spec
SRPM URL: https://dcavalca.fedorapeople.org/review/fatcat/fatcat-1.1.0-1.fc35.src.rpm

Changelog:
- Switch doc subpackage to noarch

Comment 4 Petr Menšík 2021-08-19 21:09:32 UTC
Very nice, I think ready for Fedora.

Comment 5 Davide Cavalca 2021-08-19 22:59:25 UTC
Thanks!

$ fedpkg request-repo fatcat 1983841
https://pagure.io/releng/fedora-scm-requests/issue/36407

Comment 6 Gwyn Ciesla 2021-08-20 13:12:55 UTC
(fedscm-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/fatcat

Comment 7 Fedora Update System 2021-08-20 22:54:03 UTC
FEDORA-2021-8829cca42c has been submitted as an update to Fedora 34. https://bodhi.fedoraproject.org/updates/FEDORA-2021-8829cca42c

Comment 8 Fedora Update System 2021-08-21 01:16:44 UTC
FEDORA-2021-8829cca42c has been pushed to the Fedora 34 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf install --enablerepo=updates-testing --advisory=FEDORA-2021-8829cca42c \*`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-8829cca42c

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 9 Fedora Update System 2021-08-22 00:41:02 UTC
FEDORA-2021-8829cca42c has been pushed to the Fedora 34 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.